summaryrefslogtreecommitdiff
path: root/manage.sh
diff options
context:
space:
mode:
authorAlexandre Flament <alex@al-f.net>2017-01-03 19:25:04 +0100
committerAlexandre Flament <alex@al-f.net>2017-01-03 19:25:04 +0100
commit6db25fc5c2d2459c24df4a29991484b285aba08e (patch)
tree321ed372d2be6701c68f10fb722b1be8c115f13a /manage.sh
parent7b1daf254ef71cd498c33a002130b0ebc8394195 (diff)
downloadsearxng-6db25fc5c2d2459c24df4a29991484b285aba08e.tar.gz
searxng-6db25fc5c2d2459c24df4a29991484b285aba08e.zip
[mod] ./manage.sh can download geckodriver and install it into the virtual environment
Diffstat (limited to 'manage.sh')
-rwxr-xr-xmanage.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/manage.sh b/manage.sh
index 11f2df04d..a361c5616 100755
--- a/manage.sh
+++ b/manage.sh
@@ -14,6 +14,36 @@ update_dev_packages() {
pip install --upgrade -r "$BASE_DIR/requirements-dev.txt"
}
+check_geckodriver() {
+ echo '[!] Checking geckodriver'
+ set -e
+ geckodriver -V 2>1 > /dev/null || NOTFOUND=1
+ set +e
+ if [ -z $NOTFOUND ]; then
+ return
+ fi
+ GECKODRIVER_VERSION="v0.11.1"
+ PLATFORM=`python -c "import platform; print platform.system().lower(), platform.architecture()[0]"`
+ case $PLATFORM in
+ "linux 32bit" | "linux2 32bit") ARCH="linux32";;
+ "linux 64bit" | "linux2 64bit") ARCH="linux64";;
+ "windows 32 bit") ARCH="win32";;
+ "windows 64 bit") ARCH="win64";;
+ "mac 64bit") ARCH="macos";;
+ esac
+ GECKODRIVER_URL="https://github.com/mozilla/geckodriver/releases/download/$GECKODRIVER_VERSION/geckodriver-$GECKODRIVER_VERSION-$ARCH.tar.gz";
+ if [ -z "$VIRTUAL_ENV" ]; then
+ echo "geckodriver can't be installed because VIRTUAL_ENV is not set, you should download it from\n $GECKODRIVER_URL"
+ exit
+ else
+ echo "Installing $VIRTUAL_ENV from\n $GECKODRIVER_URL"
+ FILE=`mktemp`
+ wget "$GECKODRIVER_URL" -qO $FILE && tar xz -C $VIRTUAL_ENV/bin/ -f $FILE geckodriver
+ rm $FILE
+ chmod 777 $VIRTUAL_ENV/bin/geckodriver
+ fi
+}
+
pep8_check() {
echo '[!] Running pep8 check'
# ignored rules:
@@ -43,6 +73,7 @@ tests() {
set -e
pep8_check
unit_tests
+ check_geckodriver
robot_tests
set +e
}
@@ -88,6 +119,7 @@ Commands
unit_tests - Run unit tests
update_dev_packages - Check & update development and production dependency changes
update_packages - Check & update dependency changes
+ check_geckodriver - Check & download geckodriver (required for robot_tests)
"
}